For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
          • POST/target-fields

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/field-mappings

GET
/hris/v1/field-mappings
GET
/api/hris/v1/field-mappings
$curl https://api.merge.dev/api/hris/v1/field-mappings \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "Benefit": [
3 {
4 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "is_integration_wide": true,
6 "target_field": {
7 "name": "example_target_field_name",
8 "description": "this is a example description of a target field",
9 "is_organization_wide": true
10 },
11 "remote_field": {
12 "remote_key_name": "example_remote_field_key",
13 "schema": {
14 "type": "string"
15 },
16 "remote_endpoint_info": {
17 "method": "GET",
18 "url_path": "/example-url-path",
19 "field_traversal_path": [
20 "example_remote_field_key"
21 ]
22 }
23 },
24 "jmes_path": "[0].example_jmes_path",
25 "advanced_mapping_expression": "$[0].example_jsonata"
26 }
27 ],
28 "EmployerBenefit": [
29 {
30 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
31 "is_integration_wide": true,
32 "target_field": {
33 "name": "example_target_field_name",
34 "description": "this is a example description of a target field",
35 "is_organization_wide": true
36 },
37 "remote_field": {
38 "remote_key_name": "example_remote_field_key",
39 "schema": {
40 "type": "string"
41 },
42 "remote_endpoint_info": {
43 "method": "GET",
44 "url_path": "/example-url-path",
45 "field_traversal_path": [
46 "example_remote_field_key"
47 ]
48 }
49 },
50 "jmes_path": "[0].example_jmes_path",
51 "advanced_mapping_expression": "$[0].example_jsonata"
52 }
53 ],
54 "Company": [
55 {
56 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
57 "is_integration_wide": true,
58 "target_field": {
59 "name": "example_target_field_name",
60 "description": "this is a example description of a target field",
61 "is_organization_wide": true
62 },
63 "remote_field": {
64 "remote_key_name": "example_remote_field_key",
65 "schema": {
66 "type": "string"
67 },
68 "remote_endpoint_info": {
69 "method": "GET",
70 "url_path": "/example-url-path",
71 "field_traversal_path": [
72 "example_remote_field_key"
73 ]
74 }
75 },
76 "jmes_path": "[0].example_jmes_path",
77 "advanced_mapping_expression": "$[0].example_jsonata"
78 }
79 ],
80 "EmployeePayrollRun": [
81 {
82 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
83 "is_integration_wide": true,
84 "target_field": {
85 "name": "example_target_field_name",
86 "description": "this is a example description of a target field",
87 "is_organization_wide": true
88 },
89 "remote_field": {
90 "remote_key_name": "example_remote_field_key",
91 "schema": {
92 "type": "string"
93 },
94 "remote_endpoint_info": {
95 "method": "GET",
96 "url_path": "/example-url-path",
97 "field_traversal_path": [
98 "example_remote_field_key"
99 ]
100 }
101 },
102 "jmes_path": "[0].example_jmes_path",
103 "advanced_mapping_expression": "$[0].example_jsonata"
104 }
105 ],
106 "Employee": [
107 {
108 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
109 "is_integration_wide": true,
110 "target_field": {
111 "name": "example_target_field_name",
112 "description": "this is a example description of a target field",
113 "is_organization_wide": true
114 },
115 "remote_field": {
116 "remote_key_name": "example_remote_field_key",
117 "schema": {
118 "type": "string"
119 },
120 "remote_endpoint_info": {
121 "method": "GET",
122 "url_path": "/example-url-path",
123 "field_traversal_path": [
124 "example_remote_field_key"
125 ]
126 }
127 },
128 "jmes_path": "[0].example_jmes_path",
129 "advanced_mapping_expression": "$[0].example_jsonata"
130 }
131 ],
132 "Employment": [
133 {
134 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
135 "is_integration_wide": true,
136 "target_field": {
137 "name": "example_target_field_name",
138 "description": "this is a example description of a target field",
139 "is_organization_wide": true
140 },
141 "remote_field": {
142 "remote_key_name": "example_remote_field_key",
143 "schema": {
144 "type": "string"
145 },
146 "remote_endpoint_info": {
147 "method": "GET",
148 "url_path": "/example-url-path",
149 "field_traversal_path": [
150 "example_remote_field_key"
151 ]
152 }
153 },
154 "jmes_path": "[0].example_jmes_path",
155 "advanced_mapping_expression": "$[0].example_jsonata"
156 }
157 ],
158 "Location": [
159 {
160 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
161 "is_integration_wide": true,
162 "target_field": {
163 "name": "example_target_field_name",
164 "description": "this is a example description of a target field",
165 "is_organization_wide": true
166 },
167 "remote_field": {
168 "remote_key_name": "example_remote_field_key",
169 "schema": {
170 "type": "string"
171 },
172 "remote_endpoint_info": {
173 "method": "GET",
174 "url_path": "/example-url-path",
175 "field_traversal_path": [
176 "example_remote_field_key"
177 ]
178 }
179 },
180 "jmes_path": "[0].example_jmes_path",
181 "advanced_mapping_expression": "$[0].example_jsonata"
182 }
183 ],
184 "PayrollRun": [
185 {
186 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
187 "is_integration_wide": true,
188 "target_field": {
189 "name": "example_target_field_name",
190 "description": "this is a example description of a target field",
191 "is_organization_wide": true
192 },
193 "remote_field": {
194 "remote_key_name": "example_remote_field_key",
195 "schema": {
196 "type": "string"
197 },
198 "remote_endpoint_info": {
199 "method": "GET",
200 "url_path": "/example-url-path",
201 "field_traversal_path": [
202 "example_remote_field_key"
203 ]
204 }
205 },
206 "jmes_path": "[0].example_jmes_path",
207 "advanced_mapping_expression": "$[0].example_jsonata"
208 }
209 ],
210 "Team": [
211 {
212 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
213 "is_integration_wide": true,
214 "target_field": {
215 "name": "example_target_field_name",
216 "description": "this is a example description of a target field",
217 "is_organization_wide": true
218 },
219 "remote_field": {
220 "remote_key_name": "example_remote_field_key",
221 "schema": {
222 "type": "string"
223 },
224 "remote_endpoint_info": {
225 "method": "GET",
226 "url_path": "/example-url-path",
227 "field_traversal_path": [
228 "example_remote_field_key"
229 ]
230 }
231 },
232 "jmes_path": "[0].example_jmes_path",
233 "advanced_mapping_expression": "$[0].example_jsonata"
234 }
235 ],
236 "TimeOff": [
237 {
238 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
239 "is_integration_wide": true,
240 "target_field": {
241 "name": "example_target_field_name",
242 "description": "this is a example description of a target field",
243 "is_organization_wide": true
244 },
245 "remote_field": {
246 "remote_key_name": "example_remote_field_key",
247 "schema": {
248 "type": "string"
249 },
250 "remote_endpoint_info": {
251 "method": "GET",
252 "url_path": "/example-url-path",
253 "field_traversal_path": [
254 "example_remote_field_key"
255 ]
256 }
257 },
258 "jmes_path": "[0].example_jmes_path",
259 "advanced_mapping_expression": "$[0].example_jsonata"
260 }
261 ],
262 "TimeOffBalance": [
263 {
264 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
265 "is_integration_wide": true,
266 "target_field": {
267 "name": "example_target_field_name",
268 "description": "this is a example description of a target field",
269 "is_organization_wide": true
270 },
271 "remote_field": {
272 "remote_key_name": "example_remote_field_key",
273 "schema": {
274 "type": "string"
275 },
276 "remote_endpoint_info": {
277 "method": "GET",
278 "url_path": "/example-url-path",
279 "field_traversal_path": [
280 "example_remote_field_key"
281 ]
282 }
283 },
284 "jmes_path": "[0].example_jmes_path",
285 "advanced_mapping_expression": "$[0].example_jsonata"
286 }
287 ],
288 "BankInfo": [
289 {
290 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
291 "is_integration_wide": true,
292 "target_field": {
293 "name": "example_target_field_name",
294 "description": "this is a example description of a target field",
295 "is_organization_wide": true
296 },
297 "remote_field": {
298 "remote_key_name": "example_remote_field_key",
299 "schema": {
300 "type": "string"
301 },
302 "remote_endpoint_info": {
303 "method": "GET",
304 "url_path": "/example-url-path",
305 "field_traversal_path": [
306 "example_remote_field_key"
307 ]
308 }
309 },
310 "jmes_path": "[0].example_jmes_path",
311 "advanced_mapping_expression": "$[0].example_jsonata"
312 }
313 ],
314 "PayGroup": [
315 {
316 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
317 "is_integration_wide": true,
318 "target_field": {
319 "name": "example_target_field_name",
320 "description": "this is a example description of a target field",
321 "is_organization_wide": true
322 },
323 "remote_field": {
324 "remote_key_name": "example_remote_field_key",
325 "schema": {
326 "type": "string"
327 },
328 "remote_endpoint_info": {
329 "method": "GET",
330 "url_path": "/example-url-path",
331 "field_traversal_path": [
332 "example_remote_field_key"
333 ]
334 }
335 },
336 "jmes_path": "[0].example_jmes_path",
337 "advanced_mapping_expression": "$[0].example_jsonata"
338 }
339 ],
340 "Group": [
341 {
342 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
343 "is_integration_wide": true,
344 "target_field": {
345 "name": "example_target_field_name",
346 "description": "this is a example description of a target field",
347 "is_organization_wide": true
348 },
349 "remote_field": {
350 "remote_key_name": "example_remote_field_key",
351 "schema": {
352 "type": "string"
353 },
354 "remote_endpoint_info": {
355 "method": "GET",
356 "url_path": "/example-url-path",
357 "field_traversal_path": [
358 "example_remote_field_key"
359 ]
360 }
361 },
362 "jmes_path": "[0].example_jmes_path",
363 "advanced_mapping_expression": "$[0].example_jsonata"
364 }
365 ],
366 "Dependent": [
367 {
368 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
369 "is_integration_wide": true,
370 "target_field": {
371 "name": "example_target_field_name",
372 "description": "this is a example description of a target field",
373 "is_organization_wide": true
374 },
375 "remote_field": {
376 "remote_key_name": "example_remote_field_key",
377 "schema": {
378 "type": "string"
379 },
380 "remote_endpoint_info": {
381 "method": "GET",
382 "url_path": "/example-url-path",
383 "field_traversal_path": [
384 "example_remote_field_key"
385 ]
386 }
387 },
388 "jmes_path": "[0].example_jmes_path",
389 "advanced_mapping_expression": "$[0].example_jsonata"
390 }
391 ],
392 "TimesheetEntry": [
393 {
394 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
395 "is_integration_wide": true,
396 "target_field": {
397 "name": "example_target_field_name",
398 "description": "this is a example description of a target field",
399 "is_organization_wide": true
400 },
401 "remote_field": {
402 "remote_key_name": "example_remote_field_key",
403 "schema": {
404 "type": "string"
405 },
406 "remote_endpoint_info": {
407 "method": "GET",
408 "url_path": "/example-url-path",
409 "field_traversal_path": [
410 "example_remote_field_key"
411 ]
412 }
413 },
414 "jmes_path": "[0].example_jmes_path",
415 "advanced_mapping_expression": "$[0].example_jsonata"
416 }
417 ]
418}
Get all Field Mappings for this Linked Account. Field Mappings are mappings between third-party Remote Fields and user defined Merge fields. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/overview/).
Was this page helpful?
Previous

Field Mapping

Next

/field-mappings

Get all Field Mappings for this Linked Account. Field Mappings are mappings between third-party Remote Fields and user defined Merge fields. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

exclude_remote_field_metadatabooleanOptional

If true, remote fields metadata is excluded from each field mapping instance (i.e. remote_fields.remote_key_name and remote_fields.schema will be null). This will increase the speed of the request since these fields require some calculations.

Response

Benefitlist of objects
EmployerBenefitlist of objects
Companylist of objects
EmployeePayrollRunlist of objects
Employeelist of objects
Employmentlist of objects
Locationlist of objects
PayrollRunlist of objects
Teamlist of objects
TimeOfflist of objects
TimeOffBalancelist of objects
BankInfolist of objects
PayGrouplist of objects
Grouplist of objects
Dependentlist of objects
TimesheetEntrylist of objects